<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:utils="http://www.ctm.ru/Converter/Utils">
    <xsl:output method="xml" />

    <xsl:template match="/">
        <xsl:choose>
            <xsl:when test="/Transformation/@version = '1.06'">
                <xsl:apply-templates select="@*|node()"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:copy-of select="." />
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="@module[parent::Document and .='ConvFrmlDocs.clsConvFormalizedDocs']">
        <xsl:attribute name="module">Declarant.clsXMLConverterEDDocsService</xsl:attribute>
    </xsl:template>
    
    <!--<xsl:template match="@module[parent::Document]">
        <xsl:attribute name="module">
            <xsl:choose>
                <xsl:when test=".="
            </xsl:choose>
            <xsl:value-of select="'your value here'"/>
        </xsl:attribute>
    </xsl:template>-->

    <xsl:template match="@version[parent::Transformation]">
        <xsl:attribute name="version">1.07</xsl:attribute>
    </xsl:template>

    <xsl:template match="@*|node()">
        <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>
